> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/fr/vast/vast-wrapper.md).

# Balise wrapper VAST

## Exemple XML

```xml
<?xml version="1.0" encoding="UTF-8"?>
<VAST version="3.0">
    <Ad id="1111111">
        <Wrapper>
            <AdSystem>EXADS</AdSystem>
            <VASTAdTagURI><![CDATA[https://external.adserver.com/xml?cid=1111111]]></VASTAdTagURI>
            <Impression id="exotr">
                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vimp&tracking_event=impression&idzone=22222&data=abcd]]></Impression>
            <Error>
                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vview&errorcode=[ERRORCODE]&idzone=22222]]></Error>
            <Creatives>
                <Creative sequence="1" id="12345">
                    <Linear>
                        <TrackingEvents>
                            <Tracking id="prog_1" event="progress" offset="00:00:10.000">
                                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vview&tracking_event=progress&progress=00:00:10.000&idzone=22222&data=abcd]]></Tracking>
                        </TrackingEvents>
                        <VideoClicks>
                            <ClickThrough>
                                <![CDATA[https://syndication.realsrv.com/click.php?data=abcd]]></ClickThrough>
                        </VideoClicks>
                    </Linear>
                </Creative>
            </Creatives>
        </Wrapper>
    </Ad>
</VAST>
```

## Propriétés

| Option                                   | Explication                                                                                                                                                                                                                                                                                                                                                  |
| ---------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `<?xml version="1.0" encoding="UTF-8"?>` | Prologue XML avec version et encodage définis.                                                                                                                                                                                                                                                                                                               |
| `VAST`                                   | Version VAST utilisée par cet élément                                                                                                                                                                                                                                                                                                                        |
| `Wrapper fallbackOnNoAd`                 | Indique qu'il y a un autre élément VAST dans l'arborescence. Si « Video Fallback » est activé dans les paramètres de la zone publicitaire, cela indiquera également la position de cet élément dans la file d'attente VAST                                                                                                                                   |
| `VASTAdTagURI`                           | L'élément est utilisé pour fournir un URI vers une réponse VAST secondaire. Cette réponse secondaire peut être un autre Wrapper, mais au final un wrapper VAST doit renvoyer une `<InLine>` annonce. La version 3 ne limite pas le nombre de redirections Wrapper, mais à partir de la version 4, un maximum de 5 redirections Wrapper VAST sont autorisées. |
| `Clics vidéo`                            | Élément utilisé pour spécifier ce que le lecteur vidéo doit faire si l'utilisateur clique directement dans le cadre du lecteur vidéo pendant que l'annonce est affichée. Lorsqu'un `<VideoClicks>` élément est fourni, il contient un seul enfant `<ClickTracking>` élément avec URI (ou `<ClickThrough>` dans le cas d'une balise VAST).                    |
| `ClickTracking`                          | L'élément est utilisé pour suivre le `redirection au clic` lorsque le fichier créatif gère le `redirection au clic`.                                                                                                                                                                                                                                         |
| `Extension`                              | Paramètres supplémentaires fournis par le serveur publicitaire                                                                                                                                                                                                                                                                                               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/publishers/fr/vast/vast-wrapper.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
